/*
  Standard Template, Version 2.0
  G�nter Pietzka
  Organisation und Technologie 2024
*/


.titel     { font-size:1.2rem; font-weight: bold; vertical-align: middle;}
.titelhoch { height:1.8rem; }


.rahmen, .border {
  border: 1px solid #CCC ;
  border-collapse: collapse; 
  border-radius:8px;
}

.grau { color: #bbbbbb ;font-style: italic; font-weight: bold;}

.col_farbe    { color: var(--farbe) ; }
.col_farbealt { color: var(--farbealt) ; }



.rap_abschnitt {
  border:2px solid var(--farbealt);
  padding-left:10px;  
  padding-right:10px; 
  margin-top:5px;  
  border-top-left-radius:1.0rem;
  width:98% ;
 }

 .rap_zeile:first_child {
  font-size:1rem ;
  display:flex; 
  width:98%;
  margin-bottom:3px ;
  margin-top:5px ;
}
 .rap_zeile {
  border-top:2px solid #ddd;
  font-size:1rem ;
  display:flex; 
  width:98%;
  padding-bottom:5px ;
  padding-top:5px ;
}

.rap_zeile_kurz {
  display:flex; 
  width:98%;
  margin-bottom:3px ;
  padding-top:3px ;
}

@media print {
  .rap_nb { page-break-inside: avoid ; }
}

.rap_titel {
  width:25% ;
  font-size:1rem ;
  margin-left:5px ;
  font-weight: bold;
}
.rap_rest {
  width:75%   ;
  font-size:1rem ;
  margin-left:3px ;
}
.rap_rest td {
  vertical-align:top ;
}
.rap_rest tr,td,th,ul,p {
  vertical-align:top ;
  margin-top: 0px ;
  padding-top: 0px ;
  border-top: 0px ;
}

.rap_head {
  font-size:1.2rem ;
  font-weight: bold;
  padding: 5px 5px 9px 3px ;
} 

.rap_lift {
  margin-bottom:25px ;
}
.rap_rest_head {
  font-size:1.0rem ;
  font-weight: bold; 
  font-style : italic;
}
.rap_innen {
  font-size:1.0rem ;
}

.rap_innen_kurz {
  display:flex;
  justify-content: space-between;
  border:2px solid var(--farbealt);
  padding-left:10px;  
  padding-right:10px; 
  margin-top:5px;  
  border-top-left-radius:1.0rem;
  width:100% ;
  font-size:0.8rem ;
}


.era_abschnitt {
  border:2px solid var(--farbealt);
  padding-left:10px;  
  padding-right:10px; 
  margin-top:5px;  
  padding-bottom:10px;  
  border-top-left-radius:1.0rem;
  width:100% ;
  overflow:auto;
 }
 .era_abschnitt_kurz {
  border:2px solid var(--farbealt);
  padding-left:10px;  
  padding-right:10px; 
  padding-top:5px; 
  padding-bottom:5px; 
  border-top-left-radius:1.0rem;
  width:100% ;
  overflow:auto;
}
.era_titel {
  width:25% ;
  font-weight: bold; 
  font-size:1rem ;
}
.era_rest {
  width:70%   ;
  font-size:1rem ;
  margin-left:3px ;
  border-radius: 0.5rem ;
  border:1px solid grey;
}
.era_head {
  font-size:1.2rem ;
  font-weight: bold;
  padding: 5px 5px 9px 3px ;
  vertical-align:middle ;
}  
.era_zeile_top {
  display:flex; 
  width:98%;
  margin-bottom:3px ;
  padding-top:3px ;
  border-top:2px solid #ddd;
}
.era_zeile {
  display:flex; 
  width:98%;
  margin-bottom:3px ;
  padding-top:3px ;
}

.era_zeile_kurz {
  display:flex; 
  justify-content: space-between;
  width:100%;
  border:2px solid var(--farbealt);
  border-top-left-radius:1.0rem;
  margin-bottom:3px ;
  padding-top:3px ;
  font-size:0.9rem;
}

.era_buttons {
  border-bottom-right-radius: 0.5rem ;
  border-bottom-left-radius: 0.5rem ;
  border:2px solid var(--farbealt);
  margin-top:3px ;
  padding-top:2px ;
  padding-left:10px;  
  padding-right:10px; 
  width:100% ;
  display:flex;
  flex-direction: row ;
  justify-content: space-between ;
}


.era_textarea {
  width:98%; 
  display: block;
  padding: 5px;
}

/* Organisationsebenen */
.level0 { font-weight:bold ; color: black ; background-color:var(--back) ; }
.level1 { font-weight:bold ; color: var(--farbe) ; background-color:var(--back) ; border:2px solid var(--farbe2) ;}
.level2 { font-weight:bold ; color: white ; background-color:var(--farbe2);border:2px solid var(--farbe2) }
.level3 { font-weight:bold ; color: black ; border:3px solid var(--farbe2); }
.level4 { 
  font-weight:bold ; 
  color: white ;
  background-color:var(--farbe) ; 
  border:2px solid var(--farbe); 
}
.level5 { font-weight:bold ; color: green ;background-color:rgb(203, 228, 193) ;}
.level6 { font-weight:bold ; color: black ;background-color:#e8eef8 ; border:3px solid #c8ced8 ;}
.level7 { font-weight:bold ; color: black ;background-color:rgb(219, 219, 199) ;}
.level8 { font-weight:bold ; color: black ;background-color:#d8dee8 ; border:3px dotted #c8ced8; }
.level9 { font-weight:bold ; color: black ;background-color:rgb(236, 236, 208) ;}

.level10 { font-weight:bold ; color: black ;background-color:green ; border:2px solid green ;}
.level11 { font-weight:bold ; color: green ;background-color:white ; border:2px dotted green ;}




/*
  Icons mit SVG
*/
.icon {
  display: inline-block;
  fill:blue ;
  height: 2rem;
  cursor: pointer;
}

.icon:hover {
  color:farbe;
  border: 2px solid #aaa ;
}

.icon_red   { background-color: red; }
.icon_green { background-color:green ; }


.era_textarea textarea {
  cursor:text ;
  width:100% ;
  margin: 0; 
  padding: 0; 
  border-width: 0; 
  resize:none;
}


 textarea  {
  padding:4px 4px ;
  font-size:1rem ;
  cursor:cursor;
}
input, select  {
  padding:4px 6px ;
  font-size:1rem ;
  cursor:cursor;
  border-radius:8px;
  border:1px solid #333 ;
}


.button {
	color:var(--farbe2) ;
  background-color: var(--back) ;
  color:#333 ;
	cursor:pointer ;
  margin: 2px;
  padding: 2px;
  border-radius:10px;
}

.button:hover {  background-color: var(--farbealt) ;
 color:black ;}


button {
	color:var(--farbe2) ;
  background-color: var(--back) ;
  font-size : 12pt ;  
  color:#333 ;
	cursor:pointer ;
  margin: 2px;
  padding: 4px;
  border-radius:10px;
}
button:hover { 
  background-color: var(--farbealt) ;
  color:black ;
}


.taste  {
  border: none;
  color: white;
  padding: 0px 6px;
  text-decoration: none;
  display: inline-block;
  cursor: pointer;
}

.taste:hover {
  background-color:var(--farbealt);
  border: 1px solid #aaa ;
}


.liste:hover { color:farbealt; background-color: var(--farbe) ;}

.buttonr  {
  background-color: red;
  border: none;
  color: white;
  padding: 0px 6px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 18px;
  cursor: pointer; }

.buttong {
  background-color: green;
  border: none;
  color: white;
  padding: 1px 6px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  cursor: pointer; }

* {
  box-sizing:border-box ;
 }
body {
	/* Font */
	font-family: sans-serif, Arial, Verdana, "Trebuchet MS";
	font-size: 14px;

	/* Text color */
	color: #333;

	/* Remove the background color to make it transparent */
	background-color: var(--back) ;
	margin: 2px;
}

/* abgerundete Ecken */
.rund_ol { padding-left:15px;  border-top-left-radius:1.0rem; }
.rund_or { padding-right:15px; border-top-right-radius:1.0rem; }
.rund_ul { padding-left:15px;  border-bottom-left-radius:1.0rem; }
.rund_ur { padding-right:15px; border-bottom-right-radius:1.0rem; }
.rund_xx { padding:15px; border-radius:1.0rem; }

.rahmen_o {
  border: 2px solid var(--farbe) ;
  border-top-left-radius:1.0rem;
}
.rahmen_u{
  border: 2px solid var(--farbe) ;
  border-bottom-right-radius:1.0rem;
  border-bottom-left-radius:1.0rem;
}

.kopf {
  font-size: 1.2rem ;
  font-weight: bold;
 	font-style: italic ;
  width:100% ;
}

h1 {
	font-weight: bold;
	font-size: 22px;
	line-height: 1.2;
}

h2 {
	font-weight: bold;
	font-style: italic;
	font-size: 20px;
	line-height: 1.0;
}

h3,h4,h5,h6 {
	font-weight: bold;	
	font-style: italic;
	font-size: 16px;
	line-height: 1.0;
}

.abschnitt {
	background-color:Beige ;
}

.wide {
	vertical-align:top;
 /*       background-color:#ffffff;  */

}

.k_filter {
  position:absolute;
  width:99%;
  display:block;
  z-index:600;
}
.k_liste {
  overflow:auto;
}



.gesamt {
	border-spacing:0;
	border-collapse:collapse;
	padding:0;	
	border:0;
	margin:0;
	border:0;
	width:800px ;
/*  background-color:#c9c4bb; */
}

.rumpf {
	vertical-align:top;
}
.marginale {
	vertical-align:top;
	width:20%;	
}



blockquote {
	font-style: italic;
	font-family: Georgia, Times, "Times New Roman", serif;
	padding: 2px 0;
	border-style: solid;
	border-color: #ccc;
	border-width: 0;
}

.cke_contents_ltr blockquote {
	padding-left: 20px;
	padding-right: 8px;
	border-left-width: 5px;
}

.cke_contents_rtl blockquote {
	padding-left: 8px;
	padding-right: 20px;
	border-right-width: 5px;
}

a { color: #0782C1; }

ol,ul,dl {
	/* IE7: reset rtl list margin. (#7334) */
	margin-right: 0px;
	/* preserved spaces for list items with text direction other than the list. (#6249,#8049)*/
	padding: 0 40px;
}

.noborder  {
  border: 0px solid black;
  border-collapse: collapse;
}

.breit {
	width:100% ;
}


hr {
	border: 0px;
	border-top: 1px solid #ccc;
}


img.right
{
	border: 1px solid #ccc;
	float: right;
	margin-left: 15px;
	padding: 5px;
}

img.left {
	border: 1px solid #ccc;
	float: left;
	margin-right: 15px;
	padding: 5px;
}



figure {
	text-align: center;
	border: solid 1px #ccc;
	border-radius: 1px;
	background: rgba(0,0,0,0.05);
	padding: 1px;
	margin: 1px 1px;
	display: inline-block;
}

figure > figcaption {
	text-align: center;
	display: block; /* For IE8 */
}

a > img {
	padding: 1px;
	margin: 1px;
	border: none;
	outline: 1px solid #0782C1;
}


/* Funktionstasten im Filteren� */
.tastenzeile { border:1px solid #aaaaaa ; background-color:#dea47e ; }

    div.tabs { background-color:white; padding:3px; }
    .bunt { border-style: solid ; border-width:3px ; border-color:red; padding:15px; }
    .ad_neu { background-color:green; color:yellow ; padding:3px; }
    .ad_inaktiv{ background-color:grey; color:white; padding:3px; }

    tr.green    { background-color:white; font-style:italic; color:orange ;}
    tr.markiert { font-style:italic;font-weight:bold; color:red ; }
    tr.grade    { background-color:#bbbbcc ; height:40pt ;}
    tr.ungrade  { background-color:#bbccbb ; height:40pt ;}
    td.picktag  { width:80pt ; }

    span.anaus {  background-color:#33d; }
    #f_filter {  border:2px solid #999; background-color:#eee; }
/*    body { font-size: 10pt; font-family: Trebuchet MS, Arial, Sans-Serif; } */

    input.text { margin-bottom:12px; width:95%; padding: .4em; }
    fieldset { padding:0; border:0; margin-top:5px; }



    .but20 {width:15px; background-color:eed}
    h1 { font-size: 1.2em; margin: .6em 0; }
    .ui-dialog .ui-state-error { padding: .3em; }
    .validateTips { border: 1px solid transparent; padding: 0.3em; }
    .ui-button {font-size : 10pt ; }
    .ui-menu { width: 150px; }
    a { font-size : 9pt ; }
    a:hover { background-color:#bbffbb; }
    .ui-button {font-size : 10pt ; }
    h4.seitenheader {font-size : 10pt ; text-align:left; }
    title  {font-size : 10pt ; }

    table.detail_zeile  {
      font-size:9pt; border:medium solid green; margin-left:25px; background-color:#dddddd;
    }